searchData={"items":[{"type":"module","title":"KinoK8s.KinoTerminal","doc":"A Livebook Kino providing a Terminal to a Kubernetes Pod.","ref":"KinoK8s.KinoTerminal.html"},{"type":"function","title":"KinoK8s.KinoTerminal.open/1","doc":"Opens a terminal using xterm.js.\nExpects `connect` to be a function to establish the connection to the\nunderlying IO process. The function will be called passing the pid of this\nKino and is expected to return a function that should be used to send messages\nto the process.","ref":"KinoK8s.KinoTerminal.html#open/1"},{"type":"extras","title":"KinoK8s","doc":"# KinoK8s\n\nA Livebook Kino for learning to use the k8s Elixir library.\n\n[![Module Version](https://img.shields.io/hexpm/v/kino_k8s.svg)](https://hex.pm/packages/kino_k8s)\n[![Last Updated](https://img.shields.io/github/last-commit/mruoss/kino_k8s.svg)](https://github.com/mruoss/kino_k8s/commits/main)\n\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/kino_k8s/)\n[![Total Download](https://img.shields.io/hexpm/dt/kino_k8s.svg)](https://hex.pm/packages/kino_k8s)\n[![License](https://img.shields.io/hexpm/l/kino_k8s.svg)](https://github.com/mruoss/kino_k8s/blob/main/LICENSE)","ref":"readme.html"},{"type":"extras","title":"Installation - KinoK8s","doc":"Install the latest 1.x version:\n\n```elixir\nMix.install([{:kino_k8s, \"~> 1.0\"}])\n```\n\nTo install the latest from `main` branch:\n\n```elixir\nMix.install([{:kino_k8s, github: \"mruoss/kino_k8s\"}])\n```","ref":"readme.html#installation"},{"type":"extras","title":"Smart Cells - KinoK8s","doc":"`kino_k8s` brings the following Smart Cells to your [Livebook](https://livebook.dev):\n\n- **Cluster Connection** - Connect to a Kubernetes Cluster\n- **Get / List / Watch Resources**\n- **Create / Update / Apply Resource** - Modify resources in your cluster\n- **Connect to Pod (Exec/Logs)** - Renders a terminal using xterm.js (Formerly `kino_k8s_term`).\n\nThe smart cells require a connection to a Kubernetes Cluster in form of a\n`%K8s.Conn{}` object. To add such a connection to your Livebook, you can add\nthe `Cluster Connection` smart cell before adding any other smart cells.","ref":"readme.html#smart-cells"},{"type":"extras","title":"Development - KinoK8s","doc":"","ref":"readme.html#development"},{"type":"extras","title":"Build and Watch Javascript and CSS - KinoK8s","doc":"```bash\nnpm install\nnpm start\n```","ref":"readme.html#build-and-watch-javascript-and-css"},{"type":"extras","title":"Install and run livebook - KinoK8s","doc":"```bash\nmix escript.install hex livebook\nlivebook server ./dev.livemd\n```","ref":"readme.html#install-and-run-livebook"},{"type":"extras","title":"Build Assets - KinoK8s","doc":"```bash\nnpm run build\n```","ref":"readme.html#build-assets"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).","ref":"changelog.html"},{"type":"extras","title":"Unreleased - Changelog","doc":"<!-- Add your changelog entry to the relevant subsection -->\n\n<!--","ref":"changelog.html#unreleased"},{"type":"extras","title":"Added | Changed | Deprecated | Removed | Fixed | Security --> - Changelog","doc":"<!--------------------- Don't add new entries after this line --------------------->\n\n## [1.2.4] - 2024-08-21","ref":"changelog.html#added-changed-deprecated-removed-fixed-security"},{"type":"extras","title":"Changed - Changelog","doc":"- Dependency Updates\n\n## [1.2.3] - 2024-04-29","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - Changelog","doc":"- Set `insecure_skip_tls_verify` to `false` by default.\n\n## [1.2.2] - 2024-01-28","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - Changelog","doc":"- Dependency Updates\n\n## [1.2.1] - 2023-11-29","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - Changelog","doc":"- Upgrade `xterm.js` dependency to `v5.3.0`\n\n## [1.2.0] - 2023-11-14","ref":"changelog.html#changed"},{"type":"extras","title":"Added - Changelog","doc":"- Basic Integration test using Playwright\n- Better support for roles with fewer permissions than (cluster-) admin. [#26](https://github.com/mruoss/kino_k8s/issues/26)\n\n## [1.1.0] - 2023-11-03","ref":"changelog.html#added"},{"type":"extras","title":"Added - Changelog","doc":"- Render results as Kinos [#17](https://github.com/mruoss/kino_k8s/issues/17):\n  - `K8s.Conn` is rendered as `Kino.Tree`\n  - Resources are rendered as `Kino.Markdown`\n  - Resource lists are rendered as `Kino.Tree`\n\n## [1.0.2] - 2023-11-03","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Changelog","doc":"- Use correct CDN paths to production builds\n- Use build time `DEBUG` variable in JS instead of `Mix.env()`\n\n## [1.0.1] - 2023-10-31","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"- Minify main.js\n\n## [1.0.0] - 2023-10-30\n\nInitial release with 4 Smart Cells:\n\n- Cluster Connection\n- Get / List / Watch Resources\n- Apply Resource\n- Connect to Pod (Exec/Logs) - Formerly `kino_k8s_term`.","ref":"changelog.html#changed"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}